#version 330 core

in vec3 vert_normal;
in vec3 frag_position;

uniform vec3 camera_position;
uniform samplerCube cubemap;

out vec4 color;

void main() {
  vec3 view_direction    = normalize(frag_position - camera_position);
  vec3 reflect_direction = reflect(view_direction, normalize(vert_normal));

  color = vec4(texture(cubemap, reflect_direction).rgb, 1.0);
}
